
Foreman - Bug #5631

API v2 - host and hostgroups should show all puppetclasses in child node

05/08/2014 11:43 AM - Joseph Magen

Status: Closed   

Priority: Normal   

Assignee: Joseph Magen   

Category: API   

Target version: 1.5.1   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link: 1107708 Red Hat JIRA:  

Pull request:    

Description

currently they only show what is in host_classes or hostgroup_classes and not what is inherited or in config_groups.

Associated revisions

Revision d77c457d - 05/22/2014 10:44 AM - Joseph Magen

fixes #5631 - API v2 - host and hostgroups show.json.rabl should show all puppetclasses in child node

Revision ada451d2 - 06/11/2014 01:02 PM - Joseph Magen

fixes #5631 - API v2 - host and hostgroups show.json.rabl should show all puppetclasses in child node

(cherry picked from commit d77c457d60c64a1a32a455b70216718f8d0b0d33)

History

#1 - 05/08/2014 12:15 PM - Dominic Cleal

- Status changed from Assigned to Ready For Testing

- Target version set to 1.8.3

https://github.com/theforeman/foreman/pull/1427

#2 - 05/19/2014 12:41 PM - Anonymous

- Target version changed from 1.8.3 to 1.8.2

#3 - 05/22/2014 10:45 AM - Dominic Cleal

- translation missing: en.field_release set to 16

#4 - 05/22/2014 11:31 AM - Joseph Magen

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset d77c457d60c64a1a32a455b70216718f8d0b0d33.

#5 - 06/10/2014 12:55 PM - Bryan Kearney

- Bugzilla link set to https://bugzilla.redhat.com/show_bug.cgi?id=1107708
